com.google.appengine.api.log

## Enum LogService.LogLevel

- java.lang.Object
- - java.lang.Enum<LogService.LogLevel>
  - - com.google.appengine.api.log.LogService.LogLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LogService.LogLevel>
  Enclosing interface:
    LogService

      public static enum LogService.LogLevel
      extends java.lang.Enum<LogService.LogLevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG`
    `ERROR`
    `FATAL`
    `INFO`
    `WARN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogService.LogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LogService.LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEBUG

          public static final LogService.LogLevel DEBUG

    - #### INFO

          public static final LogService.LogLevel INFO

    - #### WARN

          public static final LogService.LogLevel WARN

    - #### ERROR

          public static final LogService.LogLevel ERROR

    - #### FATAL

          public static final LogService.LogLevel FATAL

  - ### Method Detail

    - #### values

          public static LogService.LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogService.LogLevel c : LogService.LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogService.LogLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null